Part Keil

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Wedge and the translation is 69% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎čeština • ‎русский
Arrow-left.svg Vorherige: Part Prism.svg Prisma
Nächste: Helix Part Helix.svg Arrow-right.svg

Part Wedge.svg Part Keil

Menüeintrag
Formteil → Grundkörper erstellen... → Keil
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Ein Part Wedge.svg Part Keil ist ein parametrischer Volumenkörper, der mit dem Befehl Part Primitives.svg Part Grundelemente erstellt werden kann. Er besteht aus vier bis sechs ebene Flächen. Er wird über virtuelle vorder- und rückseitige Hauptflächen definiert, auf denen jeweils eine rechteckige Fläche (Vorgabe), eine einzige gerade Kante oder ein einzelner Punkt erstellt wird. Diese Grundformen definieren die vier drei- oder vierseitigen Flächen, die sie verbinden. Der entstehende Volumenkörper ist nur dann ein echter Keil, wenn eine der Grundformen eine rechteckige Fläche und die andere eine gerade Kante ist. Im Koordinatensystem durch seine Daten-EigenschaftPlacement festgelegt, liegen die virtuellen vorder- und rückseitigen Hauptflächen des Keils ebenenparallel zur XZ-Ebene und die Kanten der Grundformen sind parallel zu der X- oder Z-Achse. Alle seiner Koordinaten beziehen sich auf dieses Koordinatensystem.

Part Wedge Example.png

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Keil aus dem Skriptbeispiel

Ein Part-Keil-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde, wird hier dargestellt.

Hinweise

  • The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Keil-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Wedge

  • DatenXmin (Distance): The lowest X coordinate of the front face of the wedge. The default is 0mm.
  • DatenYmin (Distance): The Y coordinate of the front face of the wedge. The default is 0mm.
  • DatenZmin (Distance): The lowest Z coordinate of the front face of the wedge. The default is 0mm.
  • DatenX2min (Distance): The lowest X coordinate of the rear face of the wedge. The default is 2mm.
  • DatenZ2min (Distance): The lowest Z coordinate of the rear face of the wedge. The default is 2mm.
  • DatenXmax (Distance): The highest X coordinate of the front face of the wedge. The default is 10mm.
  • DatenYmax (Distance): The Y coordinate of the rear face of the wedge. The default is 10mm.
  • DatenZmax (Distance): The highest Z coordinate of the front face of the wedge. The default is 10mm.
  • DatenX2max (Distance): The highest X coordinate of the rear face of the wedge. The default is 8mm.
  • DatenZ2max (Distance): The highest Z coordinate of the rear face of the wedge. The default is 8mm.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Wedge can be created with the addObject() method of the document:

wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
  • Where "myWedge" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()


Arrow-left.svg Vorherige: Part Prism.svg Prisma
Nächste: Helix Part Helix.svg Arrow-right.svg